Name:		scidavis
Version:	0.2.4
Release:	%mkrel 16
Summary:	An application for Scientific Data Analysis and Visualization
License:	GPLv2+
Group:		Sciences/Other
Url:		http://scidavis.sourceforge.net/
Source0:	http://download.sourceforge.net/sourceforge/scidavis/%{name}-%{version}.tar.bz2
Patch0:		scidavis-0.2.4-link-everything-dynamically.patch
Patch1:		scidavis-0.2.4-arm.patch
Patch2:		scidavis-0.2.4-const.patch
Patch3:		scidavis-0.2.4-QtAssistantClient.patch
Patch4:		scidavis-0.2.4-mga-protected-members.patch
# https://sourceforge.net/p/scidavis/scidavis-patches/10
Patch5:		scidavis-0.2.4-mga-i18n-desktop-xml.patch
# https://sourceforge.net/p/scidavis/scidavis-patches/12
Patch6:		scidavis-0.2.4-mga-desktop-file.patch
Patch7:		scidavis-0.2.4-gsl2.patch

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(QtCore) >= 4.3
BuildRequires:	pkgconfig(QtAssistantClient)
BuildRequires:	python-qt4-devel >= 4.2
BuildRequires:	pkgconfig(python) >= 2.5
BuildRequires:	python-sip >= 4.6
BuildRequires:	pkgconfig(muparser)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	qwt5-devel >= 5.1.0
BuildRequires:	libqwtplot3d-devel

%description
SciDAVis is a free interactive application aimed at data analysis and
publication-quality plotting. It combines a shallow learning curve and
an intuitive, easy-to-use graphical user interface with powerful
features such as scriptability and extensibility.

%files
%doc CHANGES README gpl.txt scidavis-logo.png scidavis.css
%exclude %{_docdir}/%{name}/INSTALL.html
%config %{_sysconfdir}/scidavisrc.py
%{_sysconfdir}/scidavisrc.pyc
%{_sysconfdir}/scidavisrc.pyo
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/locolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-sciprj.desktop

#-------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt4 \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif

%make

%install
%make_install INSTALL_ROOT=%{buildroot}

# translations
install -d %{buildroot}%{_datadir}/%{name}/translations
install -D -m644 %{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# fix desktop file
desktop-file-install \
       %{buildroot}/%{_datadir}/applications/%{name}.desktop 



%changelog
* Tue Jan 26 2016 luigiwalser <luigiwalser> 0.2.4-16.mga6
+ Revision: 927774
- add patch to fix build with gsl version 2
- rebuild for gsl

* Fri Oct 23 2015 daviddavid <daviddavid> 0.2.4-15.mga6
+ Revision: 894408
- add more docs to fix build with latest rpm

* Wed Aug 26 2015 cjw <cjw> 0.2.4-14.mga6
+ Revision: 870065
- rebuild with gcc 5

* Wed Jan 07 2015 alexl <alexl> 0.2.4-13.mga5
+ Revision: 809167
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-12.mga5
+ Revision: 747294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-11.mga5
+ Revision: 689055
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 alexl <alexl> 0.2.4-10.mga5
+ Revision: 676764
- translated desktop and xml files (i18n-desktop-xml.patch)

* Fri Jun 06 2014 wally <wally> 0.2.4-9.mga5
+ Revision: 634201
- rebuild for new muparser

* Sun Jan 05 2014 danf <danf> 0.2.4-8.mga4
+ Revision: 564702
- Added protected-members.patch to fix building with gcc 4.8
- Marked the scidavisrc.py file as %%config
- License is actually GPLv2+

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.4-7.mga3
+ Revision: 381817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 pterjan <pterjan> 0.2.4-6.mga3
+ Revision: 334450
- Add include path and lib for QtAssistantClient
- Use qwt 5
- Add another Debian patch (removing const from something which is not)
- Partially update a patch (from Debian) to link against GLU
- Add a Debian patch for arm

  + fwang <fwang>
    - update new qwt inc dir

* Thu May 12 2011 mikala <mikala> 0.2.4-4.mga1
+ Revision: 97566
- Rebuild for ?\194?\171 new ?\194?\187 muparser ( mga #1251)

* Mon May 02 2011 mikala <mikala> 0.2.4-3.mga1
+ Revision: 94230
- Remove BuildRoot tag
- imported package scidavis


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-2mdv2011.0
+ Revision: 591587
- rebuild for python 2.7

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 564008
- new version 0.2.4

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 0.2.3-5mdv2011.0
+ Revision: 563971
- BR qt-assistant-adp

* Sun Jun 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.3-4mdv2010.1
+ Revision: 549215
- rebuild for new muparser, fixes seg faulting when launching (mdv #59941)

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-3mdv2010.1
+ Revision: 489010
- bump release

* Wed Jan 06 2010 Jérôme Brenier <incubusss@mandriva.org> 0.2.3-2mdv2010.1
+ Revision: 486544
- fix desktop file

* Tue Jan 05 2010 Jérôme Brenier <incubusss@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 486504
- import scidavis


